Page MenuHomePhabricator

Add option to switch off putting header modules into the dependency file.
ClosedPublic

Authored by klimek on Mar 17 2015, 6:42 AM.

Details

Reviewers
djasper
rsmith

Diff Detail

Event Timeline

klimek updated this revision to Diff 22090.Mar 17 2015, 6:42 AM
klimek retitled this revision from to Add option to switch off putting header modules into the dependency file..
klimek updated this object.
klimek edited the test plan for this revision. (Show Details)
klimek added reviewers: rsmith, djasper.
klimek added a subscriber: Unknown Object (MLST).
rsmith edited edge metadata.Mar 17 2015, 11:03 AM

As a driver flag, this should have a -f form as well as the -fno- form.

klimek updated this revision to Diff 22174.Mar 18 2015, 5:30 AM
klimek edited edge metadata.

Add -fmodule-file-deps.

klimek updated this revision to Diff 22175.Mar 18 2015, 5:39 AM

Break line.

As a driver flag, this should have a -f form as well as the -fno- form.

Done.

djasper accepted this revision.Mar 19 2015, 2:57 AM
djasper edited edge metadata.

Looks good.

test/Driver/pch-deps.c
18

nit: I'd either line wrap both of these command lines (slightly preferable) or none of them.

This revision is now accepted and ready to land.Mar 19 2015, 2:57 AM
djasper added inline comments.Mar 19 2015, 2:59 AM
test/Driver/pch-deps.c
18

Ah, sorry, this was just Phabricator confusing me.

djasper closed this revision.Mar 29 2015, 1:21 AM

This was submitted in r232721.